build_image:
  image: docker:git
  services:
  - docker:dind
  variables:
    DOCKER_DRIVER: overlay
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/elsmmtaa_repos/virtualmachines/lollipop2160x3840x16 .
    - docker push registry.gitlab.com/elsmmtaa_repos/virtualmachines/lollipop2160x3840x16:latest
  only:
    - master
